Can't locate loadable object for module IO::Tty


 
Thread Tools Search this Thread
Top Forums Shell Programming and Scripting Can't locate loadable object for module IO::Tty
# 1  
Old 10-18-2018
Can't locate loadable object for module IO::Tty

I am getting this error:
Code:
Can't locate loadable object for module IO::Tty in @INC (@INC contains: /production/79p/perl5/lib/site_perl/5.28.0/x86_64-linux /production/79p/perl5/lib/site_perl/5.28.0 /production/79p/perl5/lib/5.28.0/x86_64-linux /production/79p/perl5/lib/5.28.0 /production/79p/scripts/perl/lib) at /production/79p/perl5/lib/5.28.0/IO/Tty.pm line 30.
Compilation failed in require at /production/79p/perl5/lib/5.28.0/IO/Pty.pm line 7.
BEGIN failed--compilation aborted at /production/79p/perl5/lib/5.28.0/IO/Pty.pm line 7.
Compilation failed in require at /production/79p/perl5/lib/5.28.0/Expect.pm line 23.
BEGIN failed--compilation aborted at /production/79p/perl5/lib/5.28.0/Expect.pm line 23.
Compilation failed in require at /production/79p/scripts/perl/lib/BaseAppAction.pl line 6.
BEGIN failed--compilation aborted at /production/79p/scripts/perl/lib/BaseAppAction.pl line 6.
Compilation failed in require at /production/79p/scripts/perl/lib/LSMSUtil.pl line 14.
BEGIN failed--compilation aborted at /production/79p/scripts/perl/lib/LSMSUtil.pl line 15.
Compilation failed in require at /production/79p/scripts/ksh/util/sftpbdd.pl line 4.

------ Post updated at 10:45 PM ------

Here is the perl -V output:


Code:
/home/lnpadmin/scripts> perl -V
Summary of my perl5 (revision 5 version 28 subversion 0) configuration:
  Platform:
    osname=linux
    osvers=3.10.0-514.6.1.el7.x86_64
    archname=x86_64-linux
    uname='linux pvmkj071.nmcc.sprintspectrum.com 3.10.0-514.6.1.el7.x86_64 #1 smp sat dec 10 11:15:38 est 2016 x86_64 x86_64 x86_64 gnulinux '
    config_args='-des -Dprefix=/production/79p/perl5'
    hint=recommended
    useposix=true
    d_sigaction=define
    useithreads=undef
    usemultiplicity=undef
    use64bitint=define
    use64bitall=define
    uselongdouble=undef
    usemymalloc=n
    default_inc_excludes_dot=define
    bincompat5005=undef
  Compiler:
    cc='cc'
    ccflags ='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2'
    optimize='-O2'
    cppflags='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion=''
    gccversion='4.8.5 20150623 (Red Hat 4.8.5-11)'
    gccosandvers=''
    intsize=4
    longsize=8
    ptrsize=8
    doublesize=8
    byteorder=12345678
    doublekind=3
    d_longlong=define
    longlongsize=8
    d_longdbl=define
    longdblsize=16
    longdblkind=3
    ivtype='long'
    ivsize=8
    nvtype='double'
    nvsize=8
    Off_t='off_t'
    lseeksize=8
    alignbytes=8
    prototype=define
  Linker and Libraries:
    ld='cc'
    ldflags =' -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib /lib/../lib64 /usr/lib/../lib64 /lib /lib64 /usr/lib64 /usr/local/lib64
    libs=-lpthread -lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lc -lgdbm_compat
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.17.so
    so=so
    useshrplib=false
    libperl=libperl.a
    gnulibc_version='2.17'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs
    dlext=so
    d_dlsymun=undef
    ccdlflags='-Wl,-E'
    cccdlflags='-fPIC'
    lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector-strong'

Characteristics of this binary (from libperl):
  Compile-time options:
    HAS_TIMES
    PERLIO_LAYERS
    PERL_COPY_ON_WRITE
    PERL_DONT_CREATE_GVSV
    PERL_MALLOC_WRAP
    PERL_OP_PARENT
    PERL_PRESERVE_IVUV
    USE_64_BIT_ALL
    USE_64_BIT_INT
    USE_LARGE_FILES
    USE_LOCALE
    USE_LOCALE_COLLATE
    USE_LOCALE_CTYPE
    USE_LOCALE_NUMERIC
    USE_LOCALE_TIME
    USE_PERLIO
    USE_PERL_ATOF
  Built under linux
  Compiled at Oct 17 2018 20:41:27
  @INC:
    /production/79p/perl5/lib/site_perl/5.28.0/x86_64-linux
    /production/79p/perl5/lib/site_perl/5.28.0
    /production/79p/perl5/lib/5.28.0/x86_64-linux
    /production/79p/perl5/lib/5.28.0


Last edited by Scrutinizer; 10-18-2018 at 01:09 AM.. Reason: CODE Tags
# 2  
Old 10-18-2018
Do you have this module IO::Tty installed?
# 3  
Old 10-22-2018
Yes. Under /production/79p/perl5/lib/5.28.0/x86_64-linux/auto/IO/Pty


Here is my perl5lib:


%ENV:
PERL5LIB="/production/79p/perl5/lib/5.28.0/x86_64-linux/auto"
Login or Register to Ask a Question

Previous Thread | Next Thread

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

Python: Redirecting to tty and reading from tty

In bash, you can do something like this: #!/bin/bash echo -n "What is your name? " > /dev/tty read thename < /dev/tty How can I do the same in python? I have a python script that has the following content: #!/usr/bin/python2.7 import getpass import sys import telnetlib import... (2 Replies)
Discussion started by: SkySmart
2 Replies

2. Shell Programming and Scripting

Inputs required in decoding file on AIX- executable (RISC System/6000) or object module not stripped

Hi, We are in the process of migrating from AIX to Linux. There is a script of type "executable (RISC System/6000) or object module not stripped" on AIX and we are unable to read the contents of it. Is there a way to read the contents of the file on AIX, so that we can rewrite the code in... (3 Replies)
Discussion started by: venkatesh17
3 Replies

3. Shell Programming and Scripting

Python-rrdtool try except rrdtool.error module object has no attribute error

I have this code that gives this error on Linux and will be grateful if you can help import rrdtool try: ret_asd = rrdtool.update(myfile.rrd,'N:%s:%s' %(metric1, metric2)); except rrdtool.error, e: print e When i run the above i get the below error except... (1 Reply)
Discussion started by: kaf3773
1 Replies

4. Red Hat

modprobe: Can't locate module usbcore

Hello Linux forum! I am working on an older Red hat Linux version(kernel) 2.4.21 and I have compiled the kernel and I select it on startup, but I get the following errors: Mounting Local Filesystems: Modprobe: modprobe: Can't locate module usbcore modprobe: modprobe: Can't locate module udf... (1 Reply)
Discussion started by: mr.rhtuner
1 Replies

5. Shell Programming and Scripting

Can't locate inc/Module/Install.pm in @INC

Hi, I'm trying to install "Date-FromToday" module on my solaris box as below. #perl Makefile.pl (i got the below error) Can't locate inc/Module/Install.pm in @INC (@INC contains: /usr/perl5/5.8.4/lib/sun4-solaris-64int /usr/perl5/5.8.4/lib /usr/perl5/site_perl/5.8.4/sun4-solaris-64int... (3 Replies)
Discussion started by: admin@2010
3 Replies

6. Shell Programming and Scripting

Can't locate object method "fetchrow_array" Error

Hi, I have a perl script which is interacting with Database. I have following line of code : ================================================= sub BEGIN { #use Getopt::Std; #getopt ('S'); #($STEAP)=($opt_S); use lib ("/home/perl_lib"); use... (1 Reply)
Discussion started by: rawat_me01
1 Replies

7. Shell Programming and Scripting

Can't locate loadable object for module GD in @INC

I am trying to use the GD module on a on Unix Solaris environment machine by including gd.pm from a temporary location but I am receiving the following error: perl -w polyline.pl > imageoutput.png Can't locate loadable object for module GD in @INC (@INC contains:... (1 Reply)
Discussion started by: wadhwa.pooja
1 Replies

8. Linux

How to convert Linux Kernel built-in module into a loadable module

Hi all, I am working on USB data monitoring on Fedora Core 9. Kernel 2.6.25 has a built-in module (the one that isn't loadable, but compiles and links statically with the kernel during compilation) to snoop USB data. It is in <kernel_source_code>/drivers/usb/mon/. I need to know if I can... (0 Replies)
Discussion started by: anitemp
0 Replies

9. Solaris

Apache on Solaris10 configured with loadable module support?

I have Apache 2 webserver as delivered with the Solaris 10 installation. How to verify if Apache is configured with loadable module support? Or if needs to be recompiled with loadable module support. (2 Replies)
Discussion started by: kavera
2 Replies

10. UNIX for Dummies Questions & Answers

Howto locate locally installed Perl module for a CGI script in APACHE .htaccess

Hi, I have the following simple CGI script, just containg header: #!/usr/bin/perl -w use CGI ':standard'; use lib "/home/myname/lib/perl5/site_perl/5.8.5/"; use Mail::Sendmail; I also have included this directive in ~/public_html/.htaccess : SetEnv PERL5LIB... (0 Replies)
Discussion started by: monkfan
0 Replies
Login or Register to Ask a Question

Featured Tech Videos